Last Comment Bug 710964 - No longer dispatch incoming WebSocket messages in CLOSING state
: No longer dispatch incoming WebSocket messages in CLOSING state
Status: RESOLVED FIXED
: dev-doc-needed
Product: Core
Classification: Components
Component: Networking: WebSockets (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla11
Assigned To: Jason Duell [:jduell] (needinfo? me)
:
Mentors:
Depends on:
Blocks: 666349
  Show dependency treegraph
 
Reported: 2011-12-14 21:49 PST by Jason Duell [:jduell] (needinfo? me)
Modified: 2012-05-30 07:21 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v1 (5.93 KB, patch)
2011-12-14 21:49 PST, Jason Duell [:jduell] (needinfo? me)
bugs: review+
Details | Diff | Review

Description Jason Duell [:jduell] (needinfo? me) 2011-12-14 21:49:41 PST
Created attachment 581872 [details] [diff] [review]
v1

The latest (W3C Candidate Recommendation 08 December 2011) websocket spec changed message dispatch behavior: a websocket must no longer dispatch incoming messages once it is in the CLOSING state (see section 5, "When a WebSocket message has been received", bullet point 1).

This fix is quite simple: just check for OPEN state during dispatch.

I've verified that the test fails w/o the patch, and succeeds with it.
Comment 1 Jason Duell [:jduell] (needinfo? me) 2011-12-20 03:09:04 PST
https://hg.mozilla.org/mozilla-central/rev/a558bfcac2e6

Note You need to log in before you can comment on or make changes to this bug.